unit Main;

interface

uses
  Messages,
  Windows;

function WindowProc(AWindow:HWND;AMsg,WParam,LParam:longint):longint; stdcall;
function RegisterClass(ClassName:string): boolean;
function MakeWindow(ClassName:string): HWND;

var
  MainWindow: HWND;
  AMsg: TMsg;
  CLassName: string;

implementation

function WindowProc(AWindow:HWND;AMsg,WParam,LParam:longint):longint;
begin
  case AMsg of
    WM_DESTROY: PostQuitMessage(0);
  end; {case}
  result := DefWindowProc(AWindow,AMsg,WParam,LParam);
end;

function RegisterClass(ClassName:string): boolean;
var
  WndClass: TWndClassEx;
begin
  fillchar(WndClass,SizeOf(WndClass),0);
  with WndClass do
  begin
    lpszClassName := PChar(ClassName);
    Style := CS_HREDRAW or CS_VREDRAW or CS_DBLCLKS;
    lpfnWndProc := @WindowProc;
    cbSize:= SizeOf(WndClass);
    hInstance := MainInstance;
    hCursor := LoadCursor(0,IDC_UPARROW);
    hbrBackground := COLOR_WINDOW;
  end;
  Result := Windows.RegisterClassEx(WndClass)<>0;
end;

function MakeWindow(ClassName:string): HWND;
var
  dx,
  dy: integer;
begin
  dx:= GetSystemMetrics(SM_CXSCREEN);
  dy:= GetSystemMetrics(SM_CYSCREEN);
  result := CreateWindowEx(WS_EX_TOPMOST,PChar(ClassName),nil,
    WS_POPUP or WS_VISIBLE or WS_CLIPCHILDREN or WS_CLIPSIBLINGS,
    0,0,dx,dy,
    0,0,MainInstance,nil);
end;

end.
