unit Points;

interface
uses
 OpenGL,Main,Render;

const
 np=1000;
 g:single=10;
 dt:single=0.1;

type
 TPoint=record
  X,Y,Z:single
 end;
 TPoints=array[1..np] of TPoint;

var
 Coords:TPoints;
 Velo:TPoints;
 t:single;

procedure InitPoints;
procedure DrawPoints;
procedure DrawGrid;

implementation

procedure InitPoints;
var
 i:word;
begin
 randomize;
 for i:=1 to np do
 begin
  Coords[i].X:=0.5;
  Coords[i].Y:=0.5;
  Coords[i].Z:=0.5;
  Velo[i].X:=random(100)/1000;
  Velo[i].Y:=random(100)/1000;
  Velo[i].z:=random(100)/1000;
 end;
 t:=0;
end;

procedure DrawPoints;
var
 i:word;
begin
 for i:=1 to np do
  Velo[i].Z:=Velo[i].Z + G*dt;
 for i:=1 to np do
 begin
  Coords[i].X:=Coords[i].X + Velo[i].X*dt;
  Coords[i].Y:=Coords[i].Y + Velo[i].Y*dt;
  Coords[i].Z:=Coords[i].Z + Velo[i].Z*dt;
 end;
 glBegin(GL_POINTS);
 glColor3f(0,0,0);
 for i:=1 to np do
 begin
  glVertex3f(Coords[i].X,Coords[i].Y,Coords[i].Z);
 end;
 glEnd;
 t:=t+dt;
end;

procedure DrawGrid;
var
 x,y:single;
 i:word;
begin
 glBegin(GL_LINE);
 glColor3f(0,0,0);
 for i:=1 to 20 do
 begin
  x:=i;
  glVertex3f(x,0,0);
  glVertex3f(x,20,0);
 end;
 for i:=1 to 20 do
 begin
  y:=i;
  glVertex3f(0,y,0);
  glVertex3f(20,y,0);
 end;
 glEnd;
end;
 
end.
 